@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@400;700&display=swap');

:root{
  --left-bg-color: rgba(87, 84, 236, 0.7);
  --right-bg-color: rgba(43, 43, 43, 0.8);
  --left-btn-hover-color: rgba(87, 84, 236, 1);
  --right-btn-hover-color: rgba(28, 122, 28, 1);
  --hover-width: 75%;
  --other-width: 25%;
  --speed: 1000ms;
}

*{
    box-sizing: border-box;
}

#logo{
    display: inline-block;
    position: absolute;
    left: 18px;
    top: 18px;
    z-index: 1;
}

#logo img{
    display: block;
    margin: auto;
    width: 55px;
    width: 55px;
}


body{
    font-family:Georgia, 'Times New Roman', Times, serif;
    height: 100vh;
    overflow: hidden;
    margin: 0;
}

h2{
    font-size: 2.5rem;
    color: white;
    position: absolute;
    left: 50%;
    top: 20%;
    transform: translateX(-50%);
    white-space: nowrap;
}

.btn{
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: center;
    left: 50%;
    top: 40%;
    transform: translateX(-50%);
    text-decoration: none;
    color: white;
    border: white solid 0.2rem;
    font-size: 1rem;
    font-weight: 400;
    text-transform: uppercase;
    width: 15rem;
    padding: 1.5rem;
    border-radius: 50px;
}

.split.right .btn:hover{
    background-color: var(--right-btn-hover-color);
    border-color: var(--right-btn-hover-color);
}

.split.left .btn:hover {
    background-color: rgb(221, 157, 62);
    border-color: rgb(221, 157, 62);
  }

.container{
    position: relative;
    width: 100%;
    height: 100%;
    background: #333;
}

.split{
    position: absolute;
    width: 50%;
    height: 100%;
    overflow: hidden;
}

.split.left {
    left: 0;
    background: url('https://images.unsplash.com/photo-1484723091739-30a097e8f929?ixlib=rb-1.2.1&ixid=MnwxMjA3fDB8MHxzZWFyY2h8MTN8fGZvb2R8ZW58MHx8MHx8&auto=format&fit=crop&w=600&q=60');
    background-repeat: no-repeat;
    background-size: cover;
}

.split.left::before {
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    background-color: var(--left-bg-color);
}

.split.right{
    right: 0;
    background: url('https://images.unsplash.com/photo-1482049016688-2d3e1b311543?ixlib=rb-1.2.1&ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&auto=format&fit=crop&w=410&q=80');
    background-repeat: no-repeat;
    background-size: cover;
}

.split.right::before{
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    background-color: var(--right-bg-color);
}

.split.right,
.split.left,
.split.right::before,
.split.left::before {
  transition: all var(--speed) ease-in-out;
}

.hover-left .left {
    width: var(--hover-width);
}
  
.hover-left .right {
    width: var(--other-width);
}
  
.hover-right .right {
    width: var(--hover-width);
}
  
.hover-right .left {
    width: var(--other-width);
}
  
@media (max-width: 800px) {
h2 {
      font-size: 1.2rem;
      top: 30%;
 }
 .btn {
    padding: 1.2rem;
    width: 10rem;
  }
}